/**
 * Copyright 2006-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.security.api;


/**
 * Interface that describes what a security current should provide, ie : a security context.
 * @author Florent Benoit
 */
public interface ISecurityCurrent {

    /**
     * Gets the current context.
     * @return SecurityContext return the Security context associated to the
     *         current thread or the JVM
     */
    ISecurityContext getSecurityContext();

    /**
     * Associates the given security context to the current thread.
     * @param securityContext Security context to associate to the current thread.
     */
    void setSecurityContext(final ISecurityContext securityContext);

}
